{*
* NOTICE OF LICENSE
*
* This source file is subject to the Open Software License (OSL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/osl-3.0.php
*
*  @author    EveryPay
*  @copyright since 2015 EveryPay
*  @license   http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
*}
<form id="iframe_payment" class="js-payment-sebpaymentgateway sebpaymentgateway-bank sebpaymentgateway-form-iframe-bank" action="{$bank_payment_link}" method="GET">
    <div class="row">
        <div class="col-xs-12">
            <div class="payment_module sebpaymentgateway">
                <select id="sebpaymentgatewayBanklinkCountrySelect" onchange="SEBPAYMENTGATEWAY.toggleBankOptionHighlighting(); SEBPAYMENTGATEWAY.processCountrySelectChange()">
                    <option value="EE">{l s='Estonia' mod='sebpaymentgateway'}</option>
                    <option value="LV">{l s='Latvia' mod='sebpaymentgateway'}</option>
                    <option value="LT">{l s='Lithuania' mod='sebpaymentgateway'}</option>
                </select>
                {foreach from=$bank_links item=$bank key=$key}
                    <div class="sebpaymentgateway_banklinks_list {$key|escape:'htmlall':'UTF-8'}" data-shop-url="{$shop_url}" {if $key !== 'EE'} style="display: none" {/if}>
                        {foreach from=$bank item=$item}
                            <div class="sebpaymentgateway_banklink_container">
                                <input
                                    id="bankLinkInput_{$item['source']|escape:'htmlall':'UTF-8'}"
                                    type="radio"
                                    name="banklinkChoice"
                                    onclick="SEBPAYMENTGATEWAY.toggleBankOptionHighlighting(); SEBPAYMENTGATEWAY.changeSelectedBanklinkSource('{$item['source']|escape:'htmlall':'UTF-8'}')">
                                <label
                                    for="bankLinkInput_{$item['source']|escape:'htmlall':'UTF-8'}"
                                    class="banklink_input_label"
                                >
                                    <img src="{$item['logo_url']|escape:'htmlall':'UTF-8'}" alt="{$item['display_name']|escape:'htmlall':'UTF-8'}">
                                </label>
                            </div>
                        {/foreach}
                    </div>
                {/foreach}
                <div class="clearfix"></div>
            </div>
            <div class="clearfix"></div>
        </div>
    </div>
    <input type="hidden" name="payment_method" id="bank_payment_method" value="bank"/>
    <input type="hidden" name="selected_provider" id="bank_selected_provider"/>
</form>
<script>
    (function() {
        let sebpaymentgatewayStoredData = JSON.parse(sessionStorage.getItem('sebpaymentgateway'));
        if (sebpaymentgatewayStoredData) {
            if (sebpaymentgatewayStoredData.selected_country) {
                document.querySelector('#sebpaymentgatewayBanklinkCountrySelect').value = sebpaymentgatewayStoredData.selected_country;

                let bankLists = document.querySelectorAll('.sebpaymentgateway_banklinks_list');
                bankLists.forEach(function(list) {
                    if (list.classList.contains(sebpaymentgatewayStoredData.selected_country)) {
                        list.style.display = 'flex';
                    } else {
                        list.style.display = 'none';
                    }
                });
            }
            if (sebpaymentgatewayStoredData.selected_provider) {
                document.querySelector('.sebpaymentgateway-bank #bank_selected_provider').value = sebpaymentgatewayStoredData.selected_provider;
                document.querySelector('.sebpaymentgateway-bank #bankLinkInput_' + sebpaymentgatewayStoredData.selected_provider).checked = true;
            }
        }
    })();
</script>
